package digi.recipeManager.data;

import org.bukkit.Material;
import org.bukkit.inventory.ItemStack;

public class ItemData
{
	protected int	type	= 0;
	protected short	data	= 0;
	
	public ItemData(final int type)
	{
		this.type = type;
	}
	
	public ItemData(final int type, final short data)
	{
		this.type = type;
		this.data = data;
	}
	
	public ItemData(final ItemStack item)
	{
		type = item.getTypeId();
		data = item.getDurability();
	}
	
	public void setType(final Material type)
	{
		this.type = type.getId();
	}
	
	public void setType(final int type)
	{
		this.type = type;
	}
	
	public int getType()
	{
		return type;
	}
	
	public void setData(final short data)
	{
		this.data = data;
	}
	
	public short getData()
	{
		return data;
	}
	
	public Material getMaterial()
	{
		return Material.getMaterial(type);
	}
	
	public ItemStack getItemStack()
	{
		return new ItemStack(type, 1, data);
	}
	
	public String printItemData()
	{
		return getMaterial().toString().toLowerCase() + (data > 0 ? ":" + data : "");
	}
	
	public String convertString()
	{
		return type + (data > 0 ? ":" + data : "");
	}
}